View Issue Details

IDProjectCategoryView StatusLast Update
0004760GNUnetotherpublic2018-06-07 00:24
ReporterlynXAssigned ToChristian Grothoff 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004760: gnunet-gtk HEAD not compatible with current gnunet HEAD
DescriptionEmerging gnunet-gtk currently fails like this (courtesy of msoon):

2016-11-01 mtem sagt: undefined reference to `GNUNET_CLIENT_service_test'
Additional InformationI would suggest that anyone changing fundamental APIs of GNUnet that derivate projects may be using, to please use the powerful "rgrep" recursive grep command across all related repositories so that old calls of a dysfunctional API can be repaired immediately.

This has also a secondary advantage: The person changing the API is the one that knows how to do the fix while everybody else is confronted with an annoying learning curve. Even the simplest changes then become *work* rather than *fun*.

Can we add this to the book of good social coding habits? I didn't think anyone would *not* do it this way, but I was frequently proven wrong.
TagsNo tags attached.

Activities

Christian Grothoff

2016-11-08 14:01

manager   ~0011449

Fixed in 03601cb..94b81ac (at least the build issue). This creates the new issue 0004763, which is harder to fix.

Issue History

Date Modified Username Field Change
2016-11-04 18:19 lynX New Issue
2016-11-08 13:27 Christian Grothoff Assigned To => Christian Grothoff
2016-11-08 13:27 Christian Grothoff Status new => assigned
2016-11-08 14:01 Christian Grothoff Status assigned => resolved
2016-11-08 14:01 Christian Grothoff Resolution open => fixed
2016-11-08 14:01 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-11-08 14:01 Christian Grothoff Note Added: 0011449
2016-11-08 14:01 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed